List experiments for the project
import requests
url = "https://app.langwatch.ai/api/experiments"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/experiments \
--header 'X-Auth-Token: <api-key>'{
"experiments": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"type": "<string>",
"workflowId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"runsCount": 123,
"lastRunAt": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalHits": 123,
"hasMore": true
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Experiments
List experiments for the project
List experiments for the project. Includes a runs count and last-run timestamp per experiment.
GET
/
api
/
experiments
List experiments for the project
import requests
url = "https://app.langwatch.ai/api/experiments"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Auth-Token': '<api-key>'}};
fetch('https://app.langwatch.ai/api/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/experiments \
--header 'X-Auth-Token: <api-key>'{
"experiments": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"type": "<string>",
"workflowId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"runsCount": 123,
"lastRunAt": "<string>"
}
],
"pagination": {
"page": 123,
"pageSize": 123,
"totalHits": 123,
"hasMore": true
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Query Parameters
1-based page number
Experiments per page, capped at 200
Required range:
x <= 200Was this page helpful?
⌘I